epp_PanData (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.epp_PanData class

### org.openrtk.idl.epp0705

# Class epp_PanData

- `org.omg.CORBA.portable.ObjectImpl`
- - `org.openrtk.idl.epp0705.epp_PanData`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

Known Direct Subclasses:
  epp_ContactPanData, epp_DomainPanData, epp_HostPanData

`public abstract class epp_PanData`
`extends org.omg.CORBA.portable.ObjectImpl`
`implements org.omg.CORBA.portable.IDLEntity`

This class is use exclusively to hold data associate with a Poll response for a pending action notification. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/epp_PanData.java,v 1.1 2003/03/20 22:42:19 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/20 22:42:19 $

  ## Field Summary
  `String` | `m_date` The date this pending action completed or failed in the server.
  `boolean` | `m_result` The result flag for this pending action -- true == successful
  `epp_TransID` | `m_trid` The client and server TRID pair from the EPP request/response which trigger this pending action.

  ## Constructor Summary
  `epp_PanData()` Empty constructor
  `epp_PanData(boolean _m_result, epp_TransID _m_trid, String _m_date)` The constructor with initializing variables.

  ## Method Summary
  `String[]` | `_ids()` Method required by ObjectImpl and the CORBA Object interface.
  `String` | `getDate()` Accessor method for the pending action's completion or failure
  `boolean` | `getResult()` Accessor method for the boolean result of the execution of the pending action.
  `epp_TransID` | `getTrid()` Accessor method for the client and server TRID pair associated with the pending action
  `void` | `setDate(String value)` Accessor method for the pending action's completion or failure
  `void` | `setResult(boolean value)` Accessor method for the boolean result of the execution of the pending action.
  `void` | `setTrid(epp_TransID value)` Accessor method for the client and server TRID pair associated with the pending action

## Field Details

### m_date

    public String m_date

> The date this pending action completed or failed in the server.

### m_result

    public boolean m_result

> The result flag for this pending action -- true == successful

### m_trid

    public epp_TransID m_trid

> The client and server TRID pair from the EPP request/response which trigger this pending action.

## Constructor Details

### epp_PanData

    public epp_PanData()

> Empty constructor

### epp_PanData

    public epp_PanData(boolean _m_result,
                       epp_TransID _m_trid,
                       String _m_date)

> The constructor with initializing variables.
> Parameters:
>   `_m_result` - The boolean result flag for the action: true == successful execution
>   `_m_trid` - The server and client trid pair associated with this pending action
>   `_m_date` - The date the pending action completed (or failed)

## Method Details

### _ids

    public String[] _ids()

> Method required by ObjectImpl and the CORBA Object interface. Always returns null. It's only here to satisfy the CORBA requirements of the IDL usage.

### getDate

    public String getDate()

> Accessor method for the pending action's completion or failure
> Returns:
>   The date of the pending action's completion or failure
> See Also:
>   `m_date`

### getResult

    public boolean getResult()

> Accessor method for the boolean result of the execution of the pending action. true == successful execution
> Returns:
>   The result flag
> See Also:
>   `m_result`

### getTrid

    public epp_TransID getTrid()

> Accessor method for the client and server TRID pair associated with the pending action
> Returns:
>   The client/server TRID pair
> See Also:
>   `m_trid`

### setDate

    public void setDate(String value)

> Accessor method for the pending action's completion or failure
> Parameters:
>   `value` - The date of the pending action's completion or failure
> See Also:
>   `m_date`

### setResult

    public void setResult(boolean value)

> Accessor method for the boolean result of the execution of the pending action. true == successful execution
> Parameters:
>   `value` - The result flag
> See Also:
>   `m_result`

### setTrid

    public void setTrid(epp_TransID value)

> Accessor method for the client and server TRID pair associated with the pending action
> Parameters:
>   `value` - The client/server TRID pair
> See Also:
>   `m_trid`

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS